## org.eclipse.datatools.sqltools.common.ui.util
Class ImageImageDescriptor

    java.lang.Object
      org.eclipse.jface.resource.DeviceResourceDescriptor
          org.eclipse.jface.resource.ImageDescriptor
              org.eclipse.datatools.sqltools.common.ui.util.ImageImageDescriptor

    public class ImageImageDescriptor

extends org.eclipse.jface.resource.ImageDescriptor

Image descriptor for an image.

Constructor Summary
`ImageImageDescriptor(org.eclipse.swt.graphics.Image image)` Constructor for ImagImageDescriptor.

Method Summary
`boolean` `equals(java.lang.Object obj)`
`org.eclipse.swt.graphics.ImageData` `getImageData()`
`int` `hashCode()`

Methods inherited from class org.eclipse.jface.resource.ImageDescriptor
`createFromFile, createFromImage, createFromImage, createFromImageData, createFromURL, createImage, createImage, createImage, createImage, createResource, createWithFlags, destroyResource, getMissingImageDescriptor`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageImageDescriptor

    public ImageImageDescriptor(org.eclipse.swt.graphics.Image image)

  Constructor for ImagImageDescriptor.

Method Detail

### getImageData

    public org.eclipse.swt.graphics.ImageData getImageData()

  Specified by:
    `getImageData` in class `org.eclipse.jface.resource.ImageDescriptor`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`